#include <bits/stdc++.h>
using namespace std;
int main () {
    int n,x ;
    cin >> n >> x ;
    int a;
    int mini = INT_MAX;
    int maks = INT_MIN;
    while ( n-- ) {
        cin >> a ;
        if ( a < mini ) mini = a;
        if ( a > maks ) maks = a;
    }
    int r = min(abs(x-mini),abs(x-maks));
    int r1 = abs(mini-maks);
    cout << r + r1;
}